//#line "menus.c" 49
extern void DrawBackground(void );
//#line "menus.c" 96
extern void DoMainMenu(void );
//#line "menus.c" 120
extern char *SoundCardName(int32 card);
//#line "menus.c" 178
extern char *BlasterTypeName(int32 type);
//#line "menus.c" 209
extern char *ControllerTypeName(int32 type);
//#line "menus.c" 245
extern void LaunchProgram(char *programname,boolean wait);
//#line "menus.c" 303
extern void LaunchMultiPlayer(int32 gametype);
//#line "menus.c" 316
extern void LaunchGame(int32 dummy);
//#line "menus.c" 332
extern void DoChainedModeSetup(void );
//#line "menus.c" 346
extern void DoScreenBufferModeSetup(void );
//#line "menus.c" 389
extern void DoVesaBufferModeSetup(void );
//#line "menus.c" 470
extern void GrabFileEntries(char ***info,int32 numentries,int32 numfields);
//#line "menus.c" 503
extern void FreeFileEntries(char ***info,int32 numentries,int32 numfields);
//#line "menus.c" 528
extern int32 GetFileEntriesWidth(char **info,int32 numentries,int32 numfields);
//#line "menus.c" 558
extern int32 OpenFromFileWindow(int32 windowwidth);
//#line "menus.c" 612
extern void DrawFromFile(int32 windowhandle,int32 current,char **info,int32 numentries,int32 numfields);
//#line "menus.c" 700
extern void DoFromList(FromFileType *fromfile,char **fields,int32 numentries);
//#line "menus.c" 838
extern void DoFromFile(FromFileType *fromfile);
//#line "menus.c" 872
extern void DoFromFunctions(FromFunctionsType *fromfunctions);
//#line "menus.c" 921
extern void InitializeKeyDefinitions(void );
//#line "menus.c" 970
extern void AddKeyFunction(char *functionname);
//#line "menus.c" 1007
extern void AddKeyDef(char *functionname,char *keyname,int32 whichkey);
//#line "menus.c" 1053
extern void ClearKeyDef(char *functionname,int32 whichkey);
//#line "menus.c" 1095
extern void InitializeKeyDefList(void );
//#line "menus.c" 1107
extern void FreeKeyDefList(void );
//#line "menus.c" 1137
extern void ClearKeyDefionitions(void );
//#line "menus.c" 1166
extern void WriteKeyDefinitions(void );
//#line "menus.c" 1188
extern KeyEntryType *IsKeyUsed(KeyEntryType *currentkey,char *keystring,int32 whichkey);
//#line "menus.c" 1219
extern char *GetNewKey(void );
//#line "menus.c" 1270
extern KeyEntryType *KeyDefinition(int32 num);
//#line "menus.c" 1294
extern int32 NumberKeyDefinitions(void );
//#line "menus.c" 1317
extern int32 GetWidestKeyDefinition(void );
//#line "menus.c" 1345
extern int32 GetWidestKeyName(void );
//#line "menus.c" 1371
extern int32 OpenKeyDefinitionWindow(int32 windowwidth);
//#line "menus.c" 1441
extern void DrawKeyDefs(int32 windowhandle,int32 current,int32 whichkey,int32 numkeydefs);
//#line "menus.c" 1628
extern void DoKeyDefs(void );
//#line "menus.c" 1810
extern void SetupSound(int32 cardname);
//#line "menus.c" 1909
extern void SetupMusic(int32 cardname);
//#line "menus.c" 1944
extern void TestMusic(void );
//#line "menus.c" 2007
extern void TestSound(void );
